## f_chdir

The f_chdir function changes the current directory of a drive.

    FRESULT f_chdir (
      const XCHAR* Path /* Pointer to the path name */
    );

#### Parameters

Path
  Pointer to the null-terminated string that specifies a directory to go.

#### Return Values

FR_OK (0)
  The function succeeded.
FR_NO_PATH
  Could not find the path.
FR_INVALID_NAME
  The path name is invalid.
FR_INVALID_DRIVE
  The drive number is invalid.
FR_NOT_READY
  The disk drive cannot work due to no medium in the drive or any other reason.
FR_DISK_ERR
  The function failed due to an error in the disk function.
FR_INT_ERR
  The function failed due to a wrong FAT structure or an internal error.
FR_NOT_ENABLED
  The logical drive has no work area.
FR_NO_FILESYSTEM
  There is no valid FAT volume on the disk.

#### Description

The f_chdir function changes the current directory of the logical drive. The current directory of a drive is initialized to the root directory when the drive is auto-mounted. Note that the current directory is retained in the each file system object so that it also affects other tasks that using the drive.

#### QuickInfo

Available when `_FS_RPATH == 1`.

#### Example

        // Change current direcoty of the current drive (dir1 under root dir)
        f_chdir("/dir1");

        // Change current direcoty of drive 2 (parent dir)
        f_chdir("2:..");

#### See Also

`f_chdrive`

Return